<!DOCTYPE html
  SYSTEM "about:legacy-compat">
<html lang="nl-nl"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="UTF-8"><meta name="copyright" content="(C) Copyright 2020"><meta name="DC.rights.owner" content="(C) Copyright 2020"><meta name="DC.type" content="topic"><meta name="DC.format" content="HTML5"><meta name="DC.identifier" content="hash"><meta name="DC.language" content="nl-nl"><link rel="stylesheet" type="text/css" href="css/commonltr.css"><link rel="stylesheet" type="text/css" href="css/stop.css"><title>Element data:hash</title><link rel="shortcut icon" href="https://koop.gitlab.io/STOP/0.98-kern/img/stop.png"></head><body id="hash"><header role="banner"><div>
  <script type="text/javascript">
    function search_google () {
    document.getElementById('search_google_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
    function search_bing () {
    document.getElementById('search_bing_q').value = document.getElementById('search_tekst').value + ' site:koop.gitlab.io/STOP/0.98-kern'
    }
  </script>
  <table>
    <tr>
      <td colspan="2">Standaard Officiële Publicaties</td>
      <td class="versie">versie 0.98.1-kern</td>
    </tr>
    <tr>
      <td class="subtitle">Voor gebruik in DSO-PI12 en DSO-PI13<br>
        Meest recente versie: zie <a href="https://koop.gitlab.io/STOP/standaard/index.html">doorontwikkeling</a></td>
      <td colspan="2" class="search">
        <form>
          <label for="search_tekst">Zoek naar</label> <input type="text" id="search_tekst" size="31" value="">
        </form>
        met
        <form method="get" action="https://www.google.com/search" target="_blank" onsubmit="search_google()">
          <input type="text" name="q" id="search_google_q" size="31" value="" style="display:none;">
          <input type="submit" value="Google">
        </form>
        of
        <form method="get" action="https://www.bing.com/search" target="_blank" onsubmit="search_bing()">
          <input type="text" name="q" id="search_bing_q" size="31" value="" style="display:none;">
          <input type="submit" value="Bing">
        </form>
      </td>
    </tr>
  </table>
</div></header><nav role="toc"><ul><li><a href="index.html">Introductie</a></li><li><a href="leeswijzers.html">Leeswijzers</a></li><li><a href="EA_D7FEF211FB2646928045FDF1A8F4D28A.html">Informatiemodel Officiele Publicaties</a></li><li><a href="technische_documentatie.html">Technische documentatie</a><ul><li><a href="tekst_xsd_Main_schema_tekst_xsd.html">Schema imop-tekst.xsd</a></li><li><a href="geo_xsd_Main_schema_geo_xsd.html">Schema imop-geo.xsd</a></li><li><a href="data_xsd_Main_schema_data_xsd.html">Schema imop-data.xsd</a><ul><li><a href="data_xsd_Element_data_Achtergrond.html">Achtergrond</a></li><li><a href="data_xsd_Element_data_actor.html">actor</a></li><li><a href="data_xsd_Element_data_actueleVersie.html">actueleVersie</a></li><li><a href="data_xsd_Element_data_afkorting.html">afkorting</a></li><li><a href="data_xsd_Element_data_afkortingen.html">afkortingen</a></li><li><a href="data_xsd_Attribute_Group_data_agSchemaVersie.html">agSchemaVersie</a></li><li><a href="data_xsd_Element_data_bekendOp.html">bekendOp</a></li><li><a href="data_xsd_Element_data_BeoogdeRegelgeving.html">BeoogdeRegelgeving</a></li><li><a href="data_xsd_Element_data_BeoogdeRegeling.html">BeoogdeRegeling</a></li><li><a href="data_xsd_Element_data_BesluitDoel.html">BesluitDoel</a></li><li><a href="data_xsd_Element_data_BesluitMetadata.html">BesluitMetadata</a></li><li><a href="data_xsd_Element_data_Bestand.html">Bestand</a></li><li><a href="data_xsd_Element_data_bestandsnaam.html">bestandsnaam</a></li><li><a href="data_xsd_Element_data_bronactualiteit.html">bronactualiteit</a></li><li><a href="data_xsd_Element_data_bronbeschrijving.html">bronbeschrijving</a></li><li><a href="data_xsd_Element_data_brontype.html">brontype</a></li><li><a href="data_xsd_Element_data_bronverwijzing.html">bronverwijzing</a></li><li><a href="data_xsd_Element_data_ConsolidatieIdentificatie.html">ConsolidatieIdentificatie</a></li><li><a href="data_xsd_Element_data_datum.html">datum</a></li><li><a href="data_xsd_Element_data_doel.html">doel</a></li><li><a href="data_xsd_Element_data_doelen.html">doelen</a></li><li><a href="data_xsd_Simple_Type_data_dtSchemaVersie.html">dtSchemaVersie</a></li><li><a href="data_xsd_Simple_Type_data_dtSTOPidentificatie.html">dtSTOPidentificatie</a></li><li><a href="data_xsd_Simple_Type_data_dtTijdstempeltype.html">dtTijdstempeltype</a></li><li><a href="data_xsd_Simple_Type_data_dtWaardeRef.html">dtWaardeRef</a></li><li><a href="data_xsd_Element_data_eId.html">eId</a></li><li><a href="data_xsd_Element_data_eindverantwoordelijke.html">eindverantwoordelijke</a></li><li><a href="data_xsd_Element_data_ExpressionIdentificatie.html">ExpressionIdentificatie</a></li><li><a href="data_xsd_Element_data_FRBRExpression.html">FRBRExpression</a></li><li><a href="data_xsd_Element_data_FRBRWork.html">FRBRWork</a></li><li><a href="data_xsd_Element_data_GeldigeInstrumentVersie.html">GeldigeInstrumentVersie</a></li><li><a href="data_xsd_Element_data_GeldigeInstrumentversies.html">GeldigeInstrumentversies</a></li><li><a href="data_xsd_Element_data_geldigheid.html">geldigheid</a></li><li><a href="data_xsd_Element_data_Geldigheidsperiode.html">Geldigheidsperiode</a></li><li><a href="data_xsd_Element_data_GeoInformatieMutatie.html">GeoInformatieMutatie</a></li><li><a href="data_xsd_Element_data_gepubliceerdIn.html">gepubliceerdIn</a></li><li><a href="data_xsd_Element_data_gepubliceerdOp.html">gepubliceerdOp</a></li><li><a href="data_xsd_Element_data_grondslag.html">grondslag</a></li><li><a href="data_xsd_Element_data_grondslagen.html">grondslagen</a></li><li class="active"><a href="data_xsd_Element_data_hash.html">hash</a></li><li><a href="data_xsd_Element_data_heeftBestand.html">heeftBestand</a></li><li><a href="data_xsd_Element_data_heeftBestanden.html">heeftBestanden</a></li><li><a href="data_xsd_Element_data_heeftObjectversie.html">heeftObjectversie</a></li><li><a href="data_xsd_Element_data_heeftObjectversies.html">heeftObjectversies</a></li><li><a href="data_xsd_Element_data_InformatieObjectMetadata.html">InformatieObjectMetadata</a></li><li><a href="data_xsd_Element_data_informatieobjectRef.html">informatieobjectRef</a></li><li><a href="data_xsd_Element_data_informatieobjectRefs.html">informatieobjectRefs</a></li><li><a href="data_xsd_Element_data_instrumentVersie.html">instrumentVersie</a></li><li><a href="data_xsd_Element_data_InstrumentVersieJuridischeBron.html">InstrumentVersieJuridischeBron</a></li><li><a href="data_xsd_Element_data_instrumentversieRef.html">instrumentversieRef</a></li><li><a href="data_xsd_Element_data_inwerkingOp.html">inwerkingOp</a></li><li><a href="data_xsd_Element_data_isConsolidatieVan.html">isConsolidatieVan</a></li><li><a href="data_xsd_Element_data_jaargang.html">jaargang</a></li><li><a href="data_xsd_Element_data_JuridischeBronIOverwijzing.html">JuridischeBronIOverwijzing</a></li><li><a href="data_xsd_Element_data_JuridischeBronTekstverwijzing.html">JuridischeBronTekstverwijzing</a></li><li><a href="data_xsd_Element_data_label.html">label</a></li><li><a href="data_xsd_Element_data_maker.html">maker</a></li><li><a href="data_xsd_Element_data_nauwkeurigheid.html">nauwkeurigheid</a></li><li><a href="data_xsd_Element_data_noemer.html">noemer</a></li><li><a href="data_xsd_Element_data_Objectgeldigheid.html">Objectgeldigheid</a></li><li><a href="data_xsd_Element_data_Objectversie.html">Objectversie</a></li><li><a href="data_xsd_Element_data_ObjectVersieJuridischeBron.html">ObjectVersieJuridischeBron</a></li><li><a href="data_xsd_Element_data_OfficielePublicatieMetadata.html">OfficielePublicatieMetadata</a></li><li><a href="data_xsd_Element_data_OfficielePublicatieVerwijzing.html">OfficielePublicatieVerwijzing</a></li><li><a href="data_xsd_Element_data_officieleTitel.html">officieleTitel</a></li><li><a href="data_xsd_Element_data_ondertekendOp.html">ondertekendOp</a></li><li><a href="data_xsd_Element_data_onderwerp.html">onderwerp</a></li><li><a href="data_xsd_Element_data_onderwerpen.html">onderwerpen</a></li><li><a href="data_xsd_Element_data_ontvangenOp.html">ontvangenOp</a></li><li><a href="data_xsd_Element_data_overheidsdomein.html">overheidsdomein</a></li><li><a href="data_xsd_Element_data_Periode.html">Periode</a></li><li><a href="data_xsd_Element_data_Procedure.html">Procedure</a></li><li><a href="data_xsd_Element_data_Procedurestap.html">Procedurestap</a></li><li><a href="data_xsd_Element_data_procedurestappen.html">procedurestappen</a></li><li><a href="data_xsd_Element_data_Procedureverloop.html">Procedureverloop</a></li><li><a href="data_xsd_Element_data_publicatie.html">publicatie</a></li><li><a href="data_xsd_Element_data_publicatieblad.html">publicatieblad</a></li><li><a href="data_xsd_Element_data_publicatieIdentifier.html">publicatieIdentifier</a></li><li><a href="data_xsd_Element_data_publicatieinstructie.html">publicatieinstructie</a></li><li><a href="data_xsd_Element_data_publicatienummer.html">publicatienummer</a></li><li><a href="data_xsd_Element_data_publiceert.html">publiceert</a></li><li><a href="data_xsd_Element_data_rechtsgebied.html">rechtsgebied</a></li><li><a href="data_xsd_Element_data_rechtsgebieden.html">rechtsgebieden</a></li><li><a href="data_xsd_Element_data_redactioneleTitel.html">redactioneleTitel</a></li><li><a href="data_xsd_Element_data_RegelingMetadata.html">RegelingMetadata</a></li><li><a href="data_xsd_Element_data_soortBesluit.html">soortBesluit</a></li><li><a href="data_xsd_Element_data_soortInformatieobject.html">soortInformatieobject</a></li><li><a href="data_xsd_Element_data_soortProcedure.html">soortProcedure</a></li><li><a href="data_xsd_Element_data_soortRegeling.html">soortRegeling</a></li><li><a href="data_xsd_Element_data_soortStap.html">soortStap</a></li><li><a href="data_xsd_Element_data_soortStatus.html">soortStatus</a></li><li><a href="data_xsd_Element_data_soortTijdstempel.html">soortTijdstempel</a></li><li><a href="data_xsd_Element_data_soortWork.html">soortWork</a></li><li><a href="data_xsd_Element_data_Status.html">Status</a></li><li><a href="data_xsd_Element_data_Statusverloop.html">Statusverloop</a></li><li><a href="data_xsd_Element_data_Statusverlopen.html">Statusverlopen</a></li><li><a href="data_xsd_Element_data_TekstReferentie.html">TekstReferentie</a></li><li><a href="data_xsd_Element_data_Tijdstempel.html">Tijdstempel</a></li><li><a href="data_xsd_Element_data_Tijdstempels.html">Tijdstempels</a></li><li><a href="data_xsd_Element_data_toegevoegd.html">toegevoegd</a></li><li><a href="data_xsd_Element_data_toestandRef.html">toestandRef</a></li><li><a href="data_xsd_Element_data_tot.html">tot</a></li><li><a href="data_xsd_Element_data_uitgever.html">uitgever</a></li><li><a href="data_xsd_Element_data_uri.html">uri</a></li><li><a href="data_xsd_Element_data_url.html">url</a></li><li><a href="data_xsd_Element_data_vanaf.html">vanaf</a></li><li><a href="data_xsd_Element_data_vanKrachtOp.html">vanKrachtOp</a></li><li><a href="data_xsd_Element_data_VaststellingsContext.html">VaststellingsContext</a></li><li><a href="data_xsd_Element_data_vermeldIn.html">vermeldIn</a></li><li><a href="data_xsd_Element_data_versienummer.html">versienummer</a></li><li><a href="data_xsd_Element_data_verwijderd.html">verwijderd</a></li><li><a href="data_xsd_Element_data_voltooidOp.html">voltooidOp</a></li><li><a href="data_xsd_Element_data_voorkeursafkorting.html">voorkeursafkorting</a></li><li><a href="data_xsd_Element_data_was.html">was</a></li><li><a href="data_xsd_Element_data_wId.html">wId</a></li><li><a href="data_xsd_Element_data_wijzigingsindicatie.html">wijzigingsindicatie</a></li><li><a href="data_xsd_Element_data_wordt.html">wordt</a></li><li><a href="data_xsd_Element_data_WorkIdentificatie.html">WorkIdentificatie</a></li></ul></li><li><a href="rsc_xsd_Main_schema_rsc_xsd.html">Schema imop-resources.xsd</a></li></ul></li><li><a href="begrippenlijst.html">Begrippenlijst</a></li></ul></nav><main role="main"><article role="article" aria-labelledby="ariaid-title1">
   <h1 class="title topictitle1" id="ariaid-title1">Element data:hash</h1>
   <div class="body">
      <table class="table frame-all"><caption></caption><colgroup><col style="width:10.714285714285714%"><col style="width:89.28571428571429%"></colgroup><tbody class="tbody">
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Namespace</td>
                  <td class="entry align-left colsep-1 rowsep-1">https://standaarden.overheid.nl/stop/imop/data/</td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Definitie</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     <div class="div">
    <p class="p">Uniek serienummer dat de computer berekent op basis van de inhoud van een bestand,
      bijvoorbeeld een document, afbeelding of muziekstuk. De hash is te vergelijken met een
      "digitale vingerafdruk": Het identificeert iedere tekstreeks of bestand via een reeks
      getallen. Als twee bestanden of tekenreeksen dezelfde hash-waarde hebben dan kan je er (bijna)
      zeker van zijn dat ze identiek zijn.</p>
  </div>
  </td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Informatie</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     <div class="div">
    <p class="p"><strong class="ph b">Bepaling van de hash</strong></p>
    <p class="p">
      Voor de berekening van de hash wordt gebruikt gemaakt van het SHA512 algoritme,
      als beschreven in <a class="xref" href="https://csrc.nist.gov/publications/detail/fips/180/4/final" target="_blank">FIPS 180-4</a>, waarbij een
      bestand als een verzameling bits wordt gezien. Het is daarom van belang dat de inhoud van
      het bestand tijdens het proces van uitwisselen niet wijzigt, en er (voor tekstgebaseerde bestanden)
      geen conversie naar een andere tekensets (encoding) plaatsvindt.
    </p>
    <p class="p">
      De hash zelf is binaire data, die voor uitwisseling naar een string met een hexadecimale weergave
      wordt geconverteerd. STOP stelt als aanvullende voorwaarde dat de string alleen de tekens 0-9 en a-f
      (dus geen hoofdletters) moet bevatten. De lengte van de hash is 512 bits dus 128 hexadecimale tekens.
    </p>
  </div>
  <div class="div">
    <p class="p">
      <strong class="ph b">Voorbeeld</strong>
    </p>
    <p class="p">
      Dit voorbeeld laat zien hoe de hash van een bestand doorgegeven moet worden. De waarde van de hash
      komt overeen met een leeg bestand.
    </p>
    <pre class="pre codeblock"><code>&lt;data:hash&gt;cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e&lt;data:hash&gt;</code></pre>
  </div>
</td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Informatiemodel</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     <a class="xref link_ea" href="EA_EC4DE25BFB1341e6B632337DAF9C2791.html#Pkg__C1E88132EAE04eea8C3FD5B5EF7D5E8F">Hash (eigenschap van Bestand)</a></td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Verwijzingen</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     </td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Diagram</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     <p class="p"></p>
                  </td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Type</td>
                  <td class="entry align-left colsep-1 rowsep-1">xs:token</td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Eigenschappen</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     <div class="p">
                        <table class="table frame-all"><caption></caption><colgroup><col style="width:20%"><col style="width:80%"></colgroup><tbody class="tbody">
                                 <tr class="row">
                                    <td class="entry align-left colsep-1 rowsep-1">content: </td>
                                    <td class="entry align-left colsep-1 rowsep-1">
                                       <strong class="ph b">simple</strong>
                                    </td>
                                 </tr>
                              </tbody></table>
                     </div>
                  </td>
               </tr>
               <tr class="row">
                  <td class="entry align-left colsep-1 rowsep-1">Gebruikt door</td>
                  <td class="entry align-left colsep-1 rowsep-1">
                     <div class="p">
                        <table class="table frame-all"><caption></caption><colgroup><col style="width:20%"><col style="width:80%"></colgroup><tbody class="tbody">
                                 <tr class="row">
                                    <td class="entry align-left colsep-1 rowsep-1">Element </td>
                                    <td class="entry align-left colsep-1 rowsep-1">
                                       <a class="xref" href="data_xsd_Element_data_Bestand.html#Bestand">Element data:Bestand</a>
                                    </td>
                                 </tr>
                              </tbody></table>
                     </div>
                  </td>
               </tr>
            </tbody></table>
   </div>
</article></main></body></html>